org.apache.ignite.plugin.security

## Class GridSecurityCredentialsBasicProvider

- java.lang.Object
- - org.apache.ignite.plugin.security.GridSecurityCredentialsBasicProvider

All Implemented Interfaces:
  GridSecurityCredentialsProvider

    public class GridSecurityCredentialsBasicProvider
    extends Object
    implements GridSecurityCredentialsProvider

Basic implementation for `GridSecurityCredentialsProvider`. Use it when custom logic for storing security credentials is not required and it is OK to specify credentials directly in configuration.

### Constructor Summary

Constructors
Constructor and Description
`GridSecurityCredentialsBasicProvider(GridSecurityCredentials cred)` Constructs security credentials provider based on security credentials passed in.

### Method Summary

Methods
`GridSecurityCredentials` `credentials()` Gets security credentials.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridSecurityCredentialsBasicProvider

    public GridSecurityCredentialsBasicProvider(GridSecurityCredentials cred)

Constructs security credentials provider based on security credentials passed in.

Parameters:
  `cred` - Security credentials.

### Method Detail

#### credentials

    public GridSecurityCredentials credentials()
                                        throws IgniteCheckedException

Gets security credentials.

Specified by:
  `credentials` in interface `GridSecurityCredentialsProvider`
Returns:
  Security credentials.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015